Subject: Re: concurrency problem (crash) of gnuwin32 b18 in nt 4.0 sp3
From: [email-masked] (Fred T. Hamster)

12 Feb 1998 19:09:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Patrick J. Fay" <[email-masked]>
Cc: [email-masked]

the programs run fine individually; it's when they are running at the same
time in separate cmd shells that the problem exhibits itself.  i haven't
noticed any memory leaks personally.
  to reproduce, just start two command prompts.  run test1.bat in one of them
and run test2.bat in the other; i'd bet you'll see a stack dump after a fairly
short amount of time.

Patrick J. Fay wrote:
> 
> Hello Fred
> Try running the batch file with 'cmd /c test3.bat'. It sounds like
> a memory leak (memory being allocated and not freed over the course of the
> loop). Doing 'cmd /c test3.bat' will run each part of the loop once
> and hopefully free any memory allocated at the end of the loop.
> your test1.bat worked fine for me (win nt 4.0 sp3, gnu-win32 with coolview)
> Pat
> 
> test3.bat:
> 
>  diff a b
>  ls -C
>  cat a >c
>  rm.exe c
> 
> On Wed, 11 Feb 1998, Fred T. Hamster wrote:
> 
> > i've since been able to reproduce the crash problem i spoke of previously by
> > running these two programs, each in a different cmd shell:
> >
> > test1.bat:
> >
> > :start
> > diff a b
> > ls -C
> > cat a >c
> > rm.exe c
> > goto :start
> >
> > test2.bat:
> >
> > :start
> > diff d e
> > ls -C
> > cat a >f
> > rm.exe f
> > goto :start
> >
> > eventually one or the other will exhibit the messy crash and stack trace i
> > mentioned.
> >   i know this seems like going out of my way to find a bug, but the existence
> > of this bug disallows reliable multi-tasking of gnuwin32 programs.  this is
> > unfortunate.
> > -chris
> >
> > --
> > __________________ chosen by the Nechung Oracle program... __________________
> >
> > All's self-revealing, void and clear,
> > Without exerting power of mind.
> >
> > _____________ not necessarily my opinions, not necessarily not. _____________
> > -
> > For help on using this list (especially unsubscribing), send a message to
> > "[email-masked]" with one line of text: "help".
> >
> 
> Patrick Fay, Ph.D., Intel Corp.            email:   [email-masked]
> Los Alamos National Lab                    wk:         (505) 665-9141
> CTI M.S. B296                              fax:        (505) 667-5921
> Los Alamos NM 87545    ASCI-RED http://www.acl.lanl.gov/~pfay/teraflop

-- 
__________________ chosen by the Nechung Oracle program... __________________ 
 
To me, clowns aren't funny.  In fact, they're kind of scary.  I've
wondered where this started, and I think it goes back to the time I went to
the circus, and a clown killed my dad.
        -- Deep Thoughts by Jack Handey
 
_____________ not necessarily my opinions, not necessarily not. _____________
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".